Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.mark
Class EPPMarkAddress

    java.lang.Object
      com.verisign.epp.codec.mark.EPPMarkAddress

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPMarkAddress

extends java.lang.Object
implements EPPCodecComponent

Class for an address within an `EPPMarkContact`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the local name
`static java.lang.String` | `ELM_NAME` Constant for the tag name

Constructor Summary
`EPPMarkAddress()` Default constructor for `EPPMarkAddress`.
`EPPMarkAddress(java.util.List<java.lang.String> aStreets, java.lang.String aCity, java.lang.String aSp, java.lang.String aPc, java.lang.String aCc)` Constructor that takes all of the `EPPMarkAddress` attributes.

Method Summary
`void` | `addStreet(java.lang.String aStreet)` Add a street line to the contact street address.
`java.lang.Object` | `clone()` Clone `EPPMarkAddress`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPMark` component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPMarkAddress` compare.
`java.lang.String` | `getCc()` Gets the country code of the contact.
`java.lang.String` | `getCity()` Gets the city of the contact.
`java.lang.String` | `getPc()` Gets the Postal Code of the contact.
`java.lang.String` | `getSp()` Gets the City or Province of the contact.
`java.util.List<java.lang.String>` | `getStreets()` Gets the contact's street address.
`void` | `setCc(java.lang.String aCc)` Sets the country code of the contact.
`void` | `setCity(java.lang.String aCity)` Sets the city of the contact.
`void` | `setPc(java.lang.String aPc)` Sets the Postal Code of the contact.
`void` | `setSp(java.lang.String aSp)` Sets the City or Province of the contact.
`void` | `setStreets(java.util.List<java.lang.String> aStreets)` Sets the contact's street address.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the tag name

  See Also:
    Constant Field Values

Constructor Detail

### EPPMarkAddress

    public EPPMarkAddress()

  Default constructor for `EPPMarkAddress`.

### EPPMarkAddress

    public EPPMarkAddress(java.util.List<java.lang.String> aStreets,
                          java.lang.String aCity,
                          java.lang.String aSp,
                          java.lang.String aPc,
                          java.lang.String aCc)

  Constructor that takes all of the `EPPMarkAddress` attributes.

  Parameters:
    `aStreets` - Streets of the contact.
    `aCity` - City of the contact
    `aSp` - State or Province of the contact
    `aPc` - Postal Code of the contact
    `aCc` - Country code of the contact

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPMarkAddress`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPMarkAddress`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPMark` component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root element of the `EPPMark`
  Throws:
    `EPPDecodeException` - Error decoding the `EPPMark`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPMarkAddress` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPMarkAddress` instance to compare with
  Returns:
    true if equal false otherwise

### getStreets

    public java.util.List<java.lang.String> getStreets()

  Gets the contact's street address.

  Returns:
    `List` of street lines if set; Empty list otherwise.

### setStreets

    public void setStreets(java.util.List<java.lang.String> aStreets)

  Sets the contact's street address. There can be update to three lines of the streets address.

  Parameters:
    `aStreets` - Zero to three street lines.

### addStreet

    public void addStreet(java.lang.String aStreet)

  Add a street line to the contact street address. This will add a street to the end of the list of street lines.

  Parameters:
    `aStreet` - A line of the contact street address.

### getCity

    public java.lang.String getCity()

  Gets the city of the contact.

  Returns:
    The city of the contact if set; `null` otherwise.

### setCity

    public void setCity(java.lang.String aCity)

  Sets the city of the contact.

  Parameters:
    `aCity` - City of the contact.

### getSp

    public java.lang.String getSp()

  Gets the City or Province of the contact.

  Returns:
    City or Province of the contact if set; `null` otherwise.

### setSp

    public void setSp(java.lang.String aSp)

  Sets the City or Province of the contact.

  Parameters:
    `aSp` - City or Province of the contact.

### getPc

    public java.lang.String getPc()

  Gets the Postal Code of the contact.

  Returns:
    Postal Code of the contact if set; `null` otherwise.

### setPc

    public void setPc(java.lang.String aPc)

  Sets the Postal Code of the contact.

  Parameters:
    `aPc` - Postal Code of the contact.

### getCc

    public java.lang.String getCc()

  Gets the country code of the contact.

  Returns:
    Country code of the contact if set; `null` otherwise.

### setCc

    public void setCc(java.lang.String aCc)

  Sets the country code of the contact.

  Parameters:
    `aCc` - Country code of the contact.

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.